Bug 604176 - [abrt] crash in yum-utils-1.1.27-2.fc13: sqlutils.py:25:<module>:ImportError: No module named sqlite
Summary: [abrt] crash in yum-utils-1.1.27-2.fc13: sqlutils.py:25:<module>:ImportError:...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eb89f0d6
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 14:48 UTC by Evgeny
Modified: 2014-01-21 23:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-16 14:57:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.65 KB, text/plain)
2010-06-15 14:48 UTC, Evgeny
no flags Details
File: comment (2.60 KB, text/plain)
2010-06-15 14:48 UTC, Evgeny
no flags Details

Description Evgeny 2010-06-15 14:48:32 UTC
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python -tt /usr/bin/yum-debug-restore
Attached file: comment
component: yum-utils
executable: /usr/bin/yum-debug-restore
kernel: 2.6.33.5-112.fc13.i686.PAE
package: yum-utils-1.1.27-2.fc13
reason: sqlutils.py:25:<module>:ImportError: No module named sqlite
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. updated with updates-testing repo
now can not run yum

Comment 1 Evgeny 2010-06-15 14:48:34 UTC
Created attachment 424176 [details]
File: backtrace

Comment 2 Evgeny 2010-06-15 14:48:36 UTC
Created attachment 424177 [details]
File: comment

Comment 3 seth vidal 2010-06-15 15:00:23 UTC
could you run:

rpm -qa | grep -i sqlite

it seems like your python sqlite modules are not available, which seems unlikely.

does 'yum' work?

Comment 4 James Antill 2010-06-15 15:38:30 UTC
Also can you run:

rpm -q yum
rpm -V yum

Comment 5 Evgeny 2010-06-15 17:31:33 UTC
$ rpm -qR yum
/usr/bin/python  
config(yum) = 3.2.27-4.fc13
pygpgme  
python >= 2.4
python(abi) = 2.6
python-iniparse  
python-sqlite  
python-urlgrabber >= 3.9.0-8
rpm >= 0:4.4.2
rpm-python  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
yum-metadata-parser >= 1.1.0
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -qa | grep -i sqlite
qt-sqlite-4.6.2-20.fc13.i686
mono-data-sqlite-2.6.1-2.fc13.i686
sqlite-3.6.22-1.fc13.i686
perl-DBD-SQLite-1.29-1.fc13.i686

Comment 6 Evgeny 2010-06-15 17:33:09 UTC
yum don't work neither

Comment 7 seth vidal 2010-06-15 17:58:03 UTC
could you run:

python -c "import sqlite3"

Comment 8 Evgeny 2010-06-16 06:57:02 UTC
it's going really weird now.
python -c "import sqlite3" actually work, but "import sqlite" not.

Nevertheless yum and yum-debug-restore and i think other utils work. Machine did't reboot, i just left it powered on and went to sleep.
I don't know is it ok if python can't find sqlite and finds sqlite3.

Comment 9 James Antill 2010-06-16 14:12:52 UTC
That's normal, "import sqlite3" is what we try first. So does this mean that yum-debug-restore works now?

Comment 10 Evgeny 2010-06-16 14:57:20 UTC
yes. it works


Note You need to log in before you can comment on or make changes to this bug.